### Constructor

# Gtk CellRendererTogglenew

deprecated: 4.10

#### Declaration [src]

    GtkCellRenderer*
    gtk_cell_renderer_toggle_new (
      void
    )

#### Description [src]

Creates a new `GtkCellRendererToggle`. Adjust rendering parameters using object properties. Object properties can be set globally (with g_object_set()). Also, with `GtkTreeViewColumn`, you can bind a property to a value in a `GtkTreeModel`. For example, you can bind the “active” property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Return value

Type: `GtkCellRenderer`

The new cell renderer.

The data is owned by the called function.